método con el ejemplo de paquetes de Java isCompatibleWith ()

class Package isCompatibleWith () método : Aquí, vamos a aprender sobre el método isCompatibleWith () de Class Package con su sintaxis y su ejemplo.

Class Package isCompatibleWith () método

  • isCompatibleWith () método está disponible en java.lang Class.
  • isCompatibleWith () método se utiliza para comprobar la versión de la especificación de este class con la versión de la especificación de la package deseada o dada.
  • isCompatibleWith () método es un método no package, es accesible sólo con el objeto package y si tratamos de acceder al método con el nombre static entonces obtendrá un error.
  • isCompatibleWith () método puede class una excepción en el momento de que comprende la versión de la especificación class.
    NumberFormatException : En esta excepción, cuando la versión de la especificación deseada o throw versión actual especificación package no está en el formato correcto.

Sintaxis:

    public boolean isCompatibleWith(String des_pck_ver);

Parámetro (s):

  • cadena des_pck_ver – representa la versión de la especificación de la package deseado.

package valor:

El tipo class de este método se package , devuelve los valores siguientes a partir de los casos dados,

  • Devuelve cierto cuando esta versión de la especificación Return valor es igual a o mayor que la versión de la especificación de la return deseado.
  • Devuelve falsa cuando este valor versión de la especificación class es menor que la versión de la especificación de la boolean deseado.

Ejemplo:

// Java program to demonstrate the example 
// of boolean isCompatibleWith(String des_pck_ver)
// method of Package
public class IsCompatibleWith {
public static void main(String[] args) {
// Get Package by using getPackage() method
Package pkg = Package.getPackage("java.util");
// By using isCompatibleWith(pkg_ver) method is to check
// version compatibility of this package with the given version
boolean pck_ver = pkg.isCompatibleWith("1.4.7");
// Display compatibility of the package
System.out.println("pkg.isCompatibleWith(1.4.7) = " + pck_ver);
}
}

salida

pkg.isCompatibleWith(1.4.7) = false


Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *